/* -*- buffer-read-only: t -*- vi: set ro:
   THIS FILE IS GENERATED AUTOMATICALLY.  PLEASE DO NOT EDIT.
*/
#line 1 "eclatcl.m4"
/* This file is part of Eclat.
   Copyright (C) 2012-2023 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#line 23




#line 35

	
#line 1 "lsaddr-cl.opt"
/* This file is part of Eclat.
   Copyright (C) 2012-2023 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */


#line 26 "lsaddr-cl.opt"
#ifdef HAVE_CONFIG_H
#line 26
# include <config.h>
#line 26
#endif
#line 26
#ifdef HAVE_GETOPT_H
#line 26
# include <getopt.h>
#line 26
#endif
#line 26
#include <unistd.h>
#line 26
#include <stdlib.h>
#line 26
#include <grecs.h>
#line 26
#include <grecs/opt.h>
#line 26
#ifndef EX_USAGE
#line 26
# define EX_USAGE 64
#line 26
#endif
#line 26
/* Option codes */
#line 26
enum {
#line 26
	_OPTION_INIT=255,
#line 26 "lsaddr-cl.opt"
	OPTION_USAGE,
#line 26 "lsaddr-cl.opt"
	MAX_OPTION
#line 26
};
#line 26
#ifdef HAVE_GETOPT_LONG
#line 26
static struct option long_options[] = {
#line 20 "lsaddr-cl.opt"
	{ "vpc", no_argument, 0, 'v' },
#line 26 "lsaddr-cl.opt"
	{ "help", no_argument, 0, 'h' },
#line 26 "lsaddr-cl.opt"
	{ "usage", no_argument, 0, OPTION_USAGE },
#line 26 "lsaddr-cl.opt"
	{0, 0, 0, 0}
#line 26
};
#line 26
#endif
#line 26

#line 26
static struct grecs_opthelp opthelp[] = {
#line 22 "lsaddr-cl.opt"
	{
#line 22
#ifdef HAVE_GETOPT_LONG
#line 22
	  "-v, --vpc",
#line 22
#else
#line 22
	  "-v",
#line 22
#endif
#line 22
				   NULL, 0, N_("describe VPC addresses") },
#line 26 "lsaddr-cl.opt"
	{ NULL, NULL, 0, N_("Other options") },
#line 26 "lsaddr-cl.opt"
	{
#line 26
#ifdef HAVE_GETOPT_LONG
#line 26
	  "-h, --help",
#line 26
#else
#line 26
	  "-h",
#line 26
#endif
#line 26
				   NULL, 0, N_("Give this help list") },
#line 26 "lsaddr-cl.opt"
	{
#line 26
#ifdef HAVE_GETOPT_LONG
#line 26
	  "--usage",
#line 26
#else
#line 26
	  "",
#line 26
#endif
#line 26
				   NULL, 0, N_("Give a short usage message") },
#line 26 "lsaddr-cl.opt"
};
#line 17 "lsaddr-cl.opt"

#line 17

#line 17
#ifndef PACKAGE_URL
#line 17
# define PACKAGE_URL NULL
#line 17
#endif
#line 17
static struct grecs_proginfo proginfo = {
#line 17
	"eclat", /* progname */
#line 17
	NULL, /* subcommands */
#line 17
	N_("describe elastic IP addresses"), /* docstring */
#line 17
	N_("[FILTER...]"), /* args_doc */
#line 17
	opthelp, /* opthelp */
#line 17
	sizeof(opthelp)/sizeof(opthelp[0]), /* optcount */
#line 17
	NULL, /* print_help_hook */
#line 17
	NULL, /* print_version_hook */
#line 17
	PACKAGE_NAME,    /* package */
#line 17
	PACKAGE_VERSION, /* version */
#line 17
	NULL, /* license */
#line 17
NULL,/* copyright_year */
#line 17
NULL, /* copyright_holder */
#line 17
	NULL, /* *authors */
#line 17
	"<" PACKAGE_BUGREPORT ">", /* bug_address */
#line 17
	PACKAGE_URL, /* url */
#line 17
	NULL  /* epilogue */
#line 17
};
#line 17

#line 26 "lsaddr-cl.opt"

#line 26


static char *domain_str[] = { "standard", "vpc", NULL };
static struct filter_descr filters[] = {
	{ "domain", FILTER_ENUM, domain_str },
	{ "instance-id", FILTER_STRING },
	{ "public-ip", FILTER_STRING },
	{ "allocation-id", FILTER_STRING },
	{ "association-id", FILTER_STRING },
	{ "network-interface-id", FILTER_STRING },
	{ "network-interface-owner-id", FILTER_STRING },
	{ "private-ip-address", FILTER_STRING },
	{ NULL }
};
	

#line 41
static void
#line 41
parse_options(eclat_command_env_t *env, int argc, char *argv[], int *index)
#line 41
{
#line 41
	const char *cmds[3] = { env->cmd->name, env->cmd->ident, NULL };
#line 41
	proginfo.subcmd = (char**) cmds;
#line 41
	
#line 41
{
#line 41
	available_filters = filters;
#line 41
	proginfo.print_help_hook = list_filters;
#line 41
	
#line 41
 {
#line 41
  int c;
#line 41

#line 41
  optind = 0;
#line 41
#ifdef HAVE_GETOPT_LONG
#line 41
  while ((c = getopt_long(argc, argv, "vh",
#line 41
			  long_options, NULL)) != EOF)
#line 41
#else
#line 41
  while ((c = getopt(argc, argv, "vh")) != EOF)
#line 41
#endif
#line 41
    {
#line 41
      switch (c)
#line 41
	{
#line 41
	default:
#line 41
	   exit(EX_USAGE);	   exit(EX_USAGE);
#line 41
	#line 22 "lsaddr-cl.opt"
	 case 'v':
#line 22
	  {
#line 22

	vpc = 1;

#line 24
	     break;
#line 24
	  }
#line 26 "lsaddr-cl.opt"
	 case 'h':
#line 26
	  {
#line 26

#line 26
		grecs_print_help(&proginfo);
#line 26
		exit(0);
#line 26
	 
#line 26
	     break;
#line 26
	  }
#line 26 "lsaddr-cl.opt"
	 case OPTION_USAGE:
#line 26
	  {
#line 26

#line 26
		grecs_print_usage(&proginfo);
#line 26
		exit(0);
#line 26
	 
#line 26
	     break;
#line 26
	  }

#line 41 "lsaddr-cl.opt"
	}
#line 41
    }
#line 41
  *index = optind;
#line 41
 }
#line 41

#line 41
}
#line 41

#line 41
}
#line 47

